

//---------------------------------------------------------------------------
// PORT Definitions:
//
// PORTA:
#define JUMPER1       0    // in
#define JUMPER2       1    // in
//
#define JUMPER1_FITTED  (!(PINA & (1<<JUMPER1)))
#define JUMPER2_FITTED  (!(PINA & (1<<JUMPER2)))
//
// PORTB:
// B0-B3:  Key Input (low)
// B4:     Load
// B5:     Data In (dedicated pin for USI)
// B6:     Data out (dedicated pin for USI)
// B7:     Clk (dedicated pin for USI)
//
#define PS88_CLK       7
#define PS88_DO        6
#define PS88_DI        5
#define PS88_LOAD      4

#define S88_LOAD  ( (PINB & (1<<PS88_LOAD)))
#define S88_CLK   ( (PINB & (1<<PS88_CLK)))
//
// PORTD:
#define LED           0    // out (active low)
#define PS88_RESET    1    // in
#define RC5_n         2    // RC5 Coder Input (INT0)
//
#define S88_RESET ( (PIND & (1<<PS88_RESET)))
//
// D3-D6: Key Input (high)

#define LED_ON        PORTD &= ~(1<<LED)
#define LED_OFF       PORTD |= (1<<LED)
//

//-----------------------------------------------------------------------------
extern volatile signed char timerval;    // is incremented by ISR

extern volatile unsigned int current_message;
